/*
 * Author:          Patrick-Christopher Mattulat
 * Co-Author:       Claude Sonnet 4.6 (LLM)
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2023-02-04
 * Changed:         2026-06-23
 *
 * */

#include <ls-std/core/exception/NullPointerException.hpp>

using ls::standard::core::Exception;
using ls::standard::core::NullPointerException;
using std::move;
using std::string;

NullPointerException::NullPointerException() : Exception("NullPointerException")
{}

NullPointerException::NullPointerException(const string &_message) : NullPointerException()
{
  this->_setMessage(_message);
}

NullPointerException::~NullPointerException() noexcept = default;

const char *NullPointerException::what() const noexcept
{
  return this->_getIdentifiedMessage("reference is null!");
}
